Package com.sas.lsaf.query.repository

## Class RepositoryFileVersionQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.repository.RepositoryItemQuery
    - - com.sas.lsaf.query.repository.RepositoryFileVersionQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositoryFileVersionQuery
      extends RepositoryItemQuery

  This class provides an API to generate criteria when querying repository file versions. The query applies to the each version of a file and contains columns that are specific to a file version.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `RepositoryFileVersionQuery`.
    `static Column` | `CHECKEDOUT` | The column that represents whether a file is checked out.
    `static Column` | `CHECKEDOUT_BY` | The column that represents who has the file checked out, if it is checked out.
    `static Column` | `CHECKEDOUT_DATE` | The column that represents the date and time on which the file was checked out, if it is checked out.
    `static Column` | `COMMENT` | The column that represents the comment that was provided when the version of the file was added or checked in.
    `static Column` | `DIGEST` | The column that represents the digest of a version of a file.
    `static Column` | `LOCKED` | The column that represents whether a file is locked.
    `static Column` | `MAJOR_VERSION_LIMIT` | The column that represents the limit for the major versions of a file.
    `static Column` | `MINOR_VERSION_LIMIT` | The column that represents the limit for the minor versions of a file.
    `static Column` | `RUNAS_OWNER` | The column that represents whether an executable file runs as the owner of the file at the time the next version was created.
    `static Column` | `SIGNED` | The column that represents whether a version of the file was signed.
    `static Column` | `SIGNING_STATUS` | The column that represents the signing status of a file.
    `static Column` | `SIZE` | The column that represents the size (in bytes) of a version of a file.
    `static Column` | `TOTAL_VERSIONS` | The column that represents the total number of versions of a file.
    `static Column` | `VERSION` | The column that represents a specific version of a file.
    `static Column` | `VERSION_CREATED` | The column that represents the date and time on which the version was created.
    `static Column` | `VERSION_CREATED_BY` | The column that represents who created the version of the file.

    - ### Fields inherited from class com.sas.lsaf.query.repository.RepositoryItemQuery

      `CREATED, CREATED_BY, DESCRIPTION, ID, LAST_MODIFIED, LAST_MODIFIED_BY, NAME, PATH, PROPERTIES_LAST_MODIFIED, PROPERTIES_LAST_MODIFIED_BY, STATE, SYNCABLE, TOTAL_CONTAINER_SIZE, TOTAL_FILE_SIZE, TYPE_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryFileVersionQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final Column SIZE

      The column that represents the size (in bytes) of a version of a file.

    - #### CHECKEDOUT

          public static final Column CHECKEDOUT

      The column that represents whether a file is checked out.

    - #### CHECKEDOUT_BY

          public static final Column CHECKEDOUT_BY

      The column that represents who has the file checked out, if it is checked out.

    - #### CHECKEDOUT_DATE

          public static final Column CHECKEDOUT_DATE

      The column that represents the date and time on which the file was checked out, if it is checked out.

    - #### VERSION

          public static final Column VERSION

      The column that represents a specific version of a file.

    - #### COMMENT

          public static final Column COMMENT

      The column that represents the comment that was provided when the version of the file was added or checked in.

    - #### LOCKED

          public static final Column LOCKED

      The column that represents whether a file is locked.

    - #### DIGEST

          public static final Column DIGEST

      The column that represents the digest of a version of a file. See `RepositoryFile.getDigest()`.

    - #### SIGNING_STATUS

          public static final Column SIGNING_STATUS

      The column that represents the signing status of a file. See `RepositoryFile.SigningStatus`.

    - #### MAJOR_VERSION_LIMIT

          public static final Column MAJOR_VERSION_LIMIT

      The column that represents the limit for the major versions of a file.

    - #### MINOR_VERSION_LIMIT

          public static final Column MINOR_VERSION_LIMIT

      The column that represents the limit for the minor versions of a file.

    - #### RUNAS_OWNER

          public static final Column RUNAS_OWNER

      The column that represents whether an executable file runs as the owner of the file at the time the next version was created.

    - #### VERSION_CREATED

          public static final Column VERSION_CREATED

      The column that represents the date and time on which the version was created.

    - #### VERSION_CREATED_BY

          public static final Column VERSION_CREATED_BY

      The column that represents who created the version of the file.

    - #### SIGNED

          public static final Column SIGNED

      The column that represents whether a version of the file was signed.

    - #### TOTAL_VERSIONS

          public static final Column TOTAL_VERSIONS

      The column that represents the total number of versions of a file.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `RepositoryFileVersionQuery`.

  - ### Constructor Detail

    - #### RepositoryFileVersionQuery

          public RepositoryFileVersionQuery()